package cn.bunny.service.controller;

import cn.bunny.common.result.Result;
import cn.bunny.entity.system.Login;
import cn.bunny.entity.system.SysUserinfo;
import cn.bunny.service.service.SysUserService;
import cn.bunny.vo.system.LoginVo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 后台登录登出
 * </p>
 */
@Tag(name = "后台登录管理")
@RestController
@RequestMapping("/admin/system/index")
public class IndexController {
    @Autowired
    private SysUserService sysUserService;

    @Operation(summary = "登录", description = "登录")
    @PostMapping("login")
    public Result<Login> login(@RequestBody LoginVo loginVo) {
        Login login = sysUserService.login(loginVo);
        return Result.success(login);
    }

    @Operation(summary = "获取用户信息", description = "获取用户信息")
    @GetMapping("info")
    public Result<SysUserinfo> info(HttpServletRequest request) {
        SysUserinfo userinfo = sysUserService.getUserinfo(request);
        return Result.success(userinfo);
    }

    @Operation(summary = "退出", description = "退出")
    @GetMapping("logout")
    public Result<Map<String, Object>> logout() {
        return Result.success();
    }
}